import java.awt.*;
import javax.swing.*;
import javax.swing.border.*;
import java.text.*;

public class InfoBar extends JPanel {
    int fontheight, borderwidth;
    Font font;
    Border border;
    String infotext = "";

    public InfoBar() {
	borderwidth=4;
	font = new Font("Monospaced", Font.PLAIN, 10);
    }

    public void paintComponent(Graphics g) {
	super.paintComponent(g);

	double min=121.1, max=238.2, ave=34.8, sig=44.7;

	DecimalFormat big = new DecimalFormat(" ####.##;-####.#"); 
	
	FontMetrics fm = g.getFontMetrics(font);
	fontheight=fm.getHeight();
	setFont(font);
	
	border = BorderFactory.createRaisedBevelBorder();
	setBorder(border);

	setPreferredSize(new Dimension(1, fontheight+2*borderwidth));

	g.drawString(infotext, 5, fontheight);
    }
    
}
